> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dataset information

> Get dataset metadata for the specified user, namespace, and dataset.



## OpenAPI

````yaml /api-reference/openapi.yml get /data/{username}/{namespace}/{datasetName}
openapi: 3.0.3
info:
  title: DataLinks
  version: 2.2.3
servers:
  - url: https://api.datalinks.com/api/v1
    description: production server
security:
  - bearerAuth: []
  - openId:
      - implicit
paths:
  /data/{username}/{namespace}/{datasetName}:
    get:
      tags:
        - dataset
      summary: Get dataset information
      description: Get dataset metadata for the specified user, namespace, and dataset.
      operationId: getDatasetInformation
      parameters:
        - name: namespace
          in: path
          description: Namespace for the dataset.
          required: true
          schema:
            type: string
          example: cinematography
        - name: datasetName
          in: path
          description: Name of the dataset.
          required: true
          schema:
            type: string
          examples:
            movies:
              summary: Movies
              value: movies
            actors:
              summary: Actors
              value: actors
        - name: username
          in: path
          description: The username associated with the request.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns dataset metadata.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetResponse'
        '400':
          description: Bad request
        '404':
          description: The dataset was not found.
components:
  schemas:
    DatasetResponse:
      required:
        - dataset
        - metadata
      type: object
      properties:
        dataset:
          $ref: '#/components/schemas/ApiDatasetDescription'
        metadata:
          $ref: '#/components/schemas/ApiDatasetMetadata'
    ApiDatasetDescription:
      required:
        - name
        - namespace
        - owner
        - visibility
      type: object
      properties:
        name:
          type: string
          description: Name of the dataset.
        namespace:
          type: string
          description: Name of the namespace the dataset belongs to.
        nameWithNamespace:
          type: string
          description: The name concatenated with the namespace.
          deprecated: true
        owner:
          type: string
          description: The username associated with the data.
        user:
          type: string
          description: The username associated with the data.
          deprecated: true
        visibility:
          type: string
          description: Indicates whether the data is public or private.
          enum:
            - Public
            - Private
    ApiDatasetMetadata:
      required:
        - columnNames
        - rowCount
      type: object
      properties:
        columnNames:
          type: array
          description: List of dataset column names.
          example:
            - id
            - name
            - age
            - department
            - salary
          items:
            type: string
        dataDescription:
          $ref: '#/components/schemas/DataDescription'
        schemaDefinition:
          $ref: '#/components/schemas/SchemaDefinition'
        rowCount:
          type: integer
          description: Number of rows in dataset.
          format: int64
          example: 1250
    DataDescription:
      maxLength: 10000
      type: string
      description: >-
        A description of the dataset to help the AI system understand the
        context.
      example: Employee dataset containing demographics and compensation.
    SchemaDefinition:
      type: object
      additionalProperties:
        type: string
      description: >-
        A schema definition mapping field names to descriptions, to guide the AI
        system in structuring the extracted data.
      example:
        id: unique employee identifier
        name: full employee name
        age: employee age in years
        department: work department
        salary: annual salary in USD
  securitySchemes:
    bearerAuth:
      type: http
      description: >
        Use a Bearer token for authentication. Submit the token using the
        `Authorization`

        header: `Authorization: Bearer <token>`.
      scheme: bearer
    openId:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://login.datalinks.com/realms/datalinks-realm/protocol/openid-connect/auth
          scopes:
            openid: openid

````